% db-backup(1)
% Srinivas Puttagunta
% March 2020

# NAME

db-backup - Backup MySQL or PostgreSQL databases with rotation and encryption

# SYNOPSIS

**db-backup** database-type db-name [**-e**|**---encrypt**] [**-p**|**---encrypt-password-file**] [**-n**|**---number-of-backups**] [**-t**|**---target-directory** ]

**db-backup** **-h**|**---help**

# DESCRIPTION

script to backup mysql and postgresql database and rotating backups
with or without backup encryption.

# OPTIONS
**-n|---number-of-backups**

: number of backups to rotate, default is **15**

**-e|---encrypt**

: enables backup database with encryption and rotation. This requires
**-p/--encrypt-password-file** option

**-p|---encrypt-password-file**

: uses first line of file as encryption password

**-t|---target-directory**

: directory to put the database backups. default is **/srv/backups**

**---dry-run**

: run in no-op mode, show what would happen but do not backup anything

**---pg-user**

: (PostgreSQL only) user to use when dumping; default is **postgres**

**---connect-file**

: this option is used to tell which file is used to authenticate.

  use this format:

    [client]
    host     = myserver.stanford.edu
    user     = username
    password = secretsecretsecret

**positional arguments**

**database-type**

: indicate which type of database is being backed up; accepts "mysql" or "postgresql"

**db-name**

: database name to backup

  Example: db-backup database-type db-name [options]

# Example:

To backup mysql database without encryption

    db-backup mysql my-database --connect-file /etc/mysql/my-conf

To backup mysql database without encryption and with custom number of backups to rotate

    db-backup mysql my-database --connect-file /etc/mysql/my-conf -n 20

To backup mysql database with encryption and logrotation

    db-backup mysql my-database -e -p /root/my-password-file --connect-file /etc/mysql/my-conf

To backup postgresql database without encryption

    db-backup postgresql my-database

To backup postgresql database without encryption and with custom number of backups to rotate

    db-backup postgresql my-database -n 20

To backup postgresql database with encryption and logrotation

    db-backup mysql my-database -e -p /root/my-password-file

# SEE ALSO

python(1)
